> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Giá dự khớp



## OpenAPI

````yaml /vi/openapi/dnse.2026-09-15.openapi.yaml get /price/{symbol}/expected-price
openapi: 3.0.0
info:
  title: DNSE OpenAPI (2026-09-15)
  version: 2.0.0
  description: DNSE OpenAPI spec
servers:
  - url: https://openapi.dnse.com.vn
    description: Production
  - url: https://sb-openapi.dnse.com.vn
    description: Sanbox
security: []
tags:
  - name: trading
    description: Xác thực và các hoạt động đặt lệnh.
    x-group: Giao dịch
  - name: account
    description: Tài khoản, số dư, khoản vay, lệnh và vị thế.
    x-group: Tài khoản
  - name: market
    description: Thông tin mã chứng khoán, báo giá, OHLC và giao dịch.
    x-group: Dữ liệu thị trường
paths:
  /price/{symbol}/expected-price:
    get:
      tags:
        - market
      summary: Giá dự khớp
      operationId: symbol_getExpectedPrice
      parameters:
        - $ref: '#/components/parameters/XApiKey'
        - $ref: '#/components/parameters/XAuxDate'
        - $ref: '#/components/parameters/XSignature'
        - name: symbol
          in: path
          required: true
          description: Mã chứng khoán
          schema:
            type: string
        - name: boardId
          in: query
          required: true
          description: Mã bảng giao dịch
          schema:
            $ref: '#/components/schemas/BoardId'
        - name: from
          in: query
          required: true
          description: Thời gian bắt đầu theo Unix timestamp
          schema:
            type: string
        - name: to
          in: query
          required: true
          description: Thời gian kết thúc; khoảng truy vấn không vượt quá một ngày
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
        - name: nextPageToken
          in: query
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExpectedPriceResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '500':
          $ref: '#/components/responses/InternalError'
components:
  parameters:
    XApiKey:
      name: X-Api-Key
      in: header
      required: true
      description: >-
        API key được cấp khi đăng ký dịch vụ DNSE OpenAPI.

        Ví dụ:
        `b3JnOmRuc2UgaWQ6MjdlZTc1MzcxZGFkNTY0NmYzYTM2NDk1ZGE3OGNiOGQgaDptdXJtdXIxMjg=`
      schema:
        type: string
    XAuxDate:
      name: X-Aux-Date
      in: header
      required: true
      description: |-
        Thời gian thực hiện request, dùng trong cơ chế ký request của DNSE.
        Ví dụ: `Sat, 01 May 2026 14:24:23 +0000`
      schema:
        type: string
    XSignature:
      name: X-Signature
      in: header
      required: true
      description: >-
        Chữ ký xác thực request được tạo từ API key secret và X-Aux-Date.

        Ví dụ: `Signature
        keyId="b3JnOmRuc2UgaWQ6MjdlZTc1MzcxZGFkNTY0NmYzYTM2NDk1ZGE3OGNiOGQgaDptdXJtdXIxMjg=",algorithm="hmac-sha256",headers="(request-target)
        x-aux-date",signature="rfbVXHDUi%2B%2FsOkLXle7O17Qm%2F05cbISSR%2BDcFrBHfqQ%3D",nonce="4add8c3264e4492b9f8ecde0cf26b523"`
      schema:
        type: string
  schemas:
    BoardId:
      type: string
      description: |-
        Mã định danh bảng giao dịch.

        - `UNSPECIFIED`: Không xác định
        - `AL`: Tất cả bảng
        - `G1`: Lô chẵn
        - `G3`: Board phiên sau giờ (PLO)
        - `G4`: Lô lẻ
        - `T1`: Thỏa thuận lô chẵn 9h-14h45
        - `T3`: Thỏa thuận lô chẵn 14h45-15h
        - `T4`: Thỏa thuận lô lẻ 9h-14h45
        - `T6`: Thỏa thuận lô lẻ 14h45-15h
      enum:
        - UNSPECIFIED
        - AL
        - G1
        - G3
        - G4
        - T1
        - T3
        - T4
        - T6
      x-enum-descriptions:
        - Không xác định
        - Tất cả bảng
        - Lô chẵn
        - Board phiên sau giờ (PLO)
        - Lô lẻ
        - Thỏa thuận lô chẵn 9h-14h45
        - Thỏa thuận lô chẵn 14h45-15h
        - Thỏa thuận lô lẻ 9h-14h45
        - Thỏa thuận lô lẻ 14h45-15h
      x-enum-varnames:
        - UNSPECIFIED
        - AL
        - G1
        - G3
        - G4
        - T1
        - T3
        - T4
        - T6
      example: G1
    ExpectedPriceResponse:
      type: object
      properties:
        expectedPrices:
          type: array
          items:
            $ref: '#/components/schemas/ExpectedPrice'
          description: Danh sách dữ liệu giá khớp dự kiến của mã chứng khoán.
        nextPageToken:
          type: string
          nullable: true
          example: null
          description: >-
            Token dùng để lấy trang dữ liệu tiếp theo. Giá trị null nếu không
            còn dữ liệu.
      description: Danh sách dữ liệu giá khớp dự kiến cùng thông tin phân trang.
    ExpectedPrice:
      type: object
      properties:
        marketId:
          $ref: '#/components/schemas/MarketId'
        boardId:
          $ref: '#/components/schemas/BoardId'
        isin:
          type: string
          example: VN000000HPG4
          description: Mã định danh quốc tế (ISIN) của chứng khoán.
        symbol:
          type: string
          example: HPG
          description: Mã chứng khoán
        closePrice:
          type: number
          format: double
          example: 0
          description: Giá đóng cửa
        expectedTradePrice:
          type: number
          format: double
          example: 94.1
          description: Giá khớp dự kiến
        expectedTradeQuantity:
          type: integer
          format: int32
          example: 2000
          description: Khối lượng khớp dự kiến
        time:
          type: string
          example: '2026-08-03 14:40:05.148'
          description: 'Thời gian ghi nhận. Định dạng: YYYY-MM-DD HH:mm:ss.SSS (GMT+7).'
    ErrorBody:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          format: int32
          description: Mã HTTP.
          example: 400
        code:
          type: string
          description: Mã lỗi DNSE.
          example: OA-003
        message:
          type: string
          description: Thông điệp lỗi.
          example: Thông tin nhập không hợp lệ
    MarketId:
      type: string
      description: |-
        Mã thị trường.

        - `UNSPECIFIED`: Không xác định
        - `DVX`: Phái sinh sàn HNX
        - `HCX`: Trái phiếu doanh nghiệp sàn HNX
        - `STO`: Cổ phiếu sàn HOSE
        - `STX`: Cổ phiếu sàn HNX
        - `UPX`: Cổ phiếu sàn Upcom
      enum:
        - UNSPECIFIED
        - DVX
        - HCX
        - STO
        - STX
        - UPX
      x-enum-descriptions:
        - Không xác định
        - Phái sinh sàn HNX
        - Trái phiếu doanh nghiệp sàn HNX
        - Cổ phiếu sàn HOSE
        - Cổ phiếu sàn HNX
        - Cổ phiếu sàn Upcom
      x-enum-varnames:
        - UNSPECIFIED
        - DVX
        - HCX
        - STO
        - STX
        - UPX
      example: STO
  responses:
    BadRequest:
      description: Yêu cầu không hợp lệ.
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLength'
        Date:
          $ref: '#/components/headers/Date'
        Vary:
          $ref: '#/components/headers/Vary'
        X-Ratelimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-Ratelimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-Ratelimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
        X-Tyk-Api-Expires:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            status: 400
            code: OA-003
            message: Thông tin nhập không hợp lệ
    InternalError:
      description: Lỗi hệ thống.
      headers:
        Content-Length:
          $ref: '#/components/headers/ContentLength'
        Date:
          $ref: '#/components/headers/Date'
        Vary:
          $ref: '#/components/headers/Vary'
        X-Ratelimit-Limit:
          $ref: '#/components/headers/XRateLimitLimit'
        X-Ratelimit-Remaining:
          $ref: '#/components/headers/XRateLimitRemaining'
        X-Ratelimit-Reset:
          $ref: '#/components/headers/XRateLimitReset'
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
        X-Tyk-Api-Expires:
          schema:
            type: string
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorBody'
          example:
            status: 500
            code: OA-009
            message: Lỗi hệ thống
  headers:
    ContentLength:
      description: Response body size in bytes.
      schema:
        type: integer
      example: 430
    Date:
      description: Response date from the DNSE gateway.
      schema:
        type: string
      example: Wed, 18 Mar 2026 16:17:35 GMT
    Vary:
      description: >-
        Response header indicating the request headers used for content
        negotiation.
      schema:
        type: string
      example: Origin
    XRateLimitLimit:
      description: Maximum number of requests allowed in the current rate-limit window.
      schema:
        type: integer
      example: 300
    XRateLimitRemaining:
      description: Number of requests remaining in the current rate-limit window.
      schema:
        type: integer
      example: 299
    XRateLimitReset:
      description: Unix timestamp at which the current rate-limit window resets.
      schema:
        type: integer
      example: 1773850655
    XRequestId:
      description: Unique identifier assigned to the request by the DNSE gateway.
      schema:
        type: string
      example: unknown

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.